﻿using BlacksmithWorkshopContracts.BindingModels;
using BlacksmithWorkshopContracts.SearchModels;
using BlacksmithWorkshopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BlacksmithWorkshopContracts.StoragesContracts
{
    //класс для хранилища продуктов
    public interface IProductStorage
    {
        List<ProductViewModel> GetFullList();

        List<ProductViewModel> GetFilteredList(ProductSearchModel model);

        ProductViewModel? GetElement(ProductSearchModel model);

        ProductViewModel? Insert(ProductBindingModel model);

        ProductViewModel? Update(ProductBindingModel model);

        ProductViewModel? Delete(ProductBindingModel model);
    }
}
